<?php
/* 
 * Borra reposición
 */
$pag = "../reposiciones_crear.php";
$ruta = "../";
require_once "../class/c_login.php";

// check if the session is started
if (!isset($_SESSION['user']))
    die('No se ha iniciado sesión');

$user = unserialize($_SESSION['user']);

//--- Objeto para validar usuario. El id de usuario lo lee desde sesión
if(!isset($_POST["id"])){
    $return["error"] = "Error! No se recibió la información necesaria.";
}else{
    $id = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);//limpia texto
    $creador = $user->user["id"];

    try{
        $db->query('SELECT * from fd_reposicion_solicitud(:id, :creador)', [":id"=> $id, ":creador"=>$creador]);
        $return["ok"] = "La reposición se borró correctamente";
    
    }catch(Exception $e){
        $return["error"] = "Ocurrió un error al borrar la reposición.";
    }

    
}
echo json_encode($return);
?>
